gene = "embB"
drug = "ethambutol"

# interacting chain B
#==========
# LIGPLUS
#===========
aa_ligplus_emb = c(299, 302, 303, 306, 334, 594, 988, 1028)
aa_ligplus_emb_hbond = c(299, 594)

aa_ligplus_ca  = c(952, 954, 959)
aa_ligplus_ca_hbond = c(952, 954, 959)

aa_ligplus_cdl = c(460, 665, 568, 601, 572, 579, 580, 583)
aa_ligplus_cdl_hbond = c(601, 568, 665)

aa_ligplus_dsl = c(435, 442, 489, 452, 330, 589, 509, 446, 445, 506, 592, 590, 514, 403, 515)
aa_ligplus_dsl_hbond = c(445, 590, 592, 403)

#==========
# PLIP
#===========
aa_plip_emb = c(299, 302, 303, 327, 594, 988, 1028)
aa_plip_emb_hbond = c(299, 327, 594)

aa_plip_ca  = c(952, 954, 959)

aa_plip_cdl = c(456, 572, 579, 583, 568)
#aa_plip_cdl_sb = c(537, 568, 601, 665)

aa_plip_dsl = c(330, 435, 446, 452, 489, 506, 589, 590, 445, 403, 595)
aa_plip_dsl_hbond = c(445, 590)
#aa_plip_dsl_sb = c(403, 595)

#==========
# Arpeggio
#===========
# emb:1402, 1403
aa_arpeg_emb = c(298, 299, 302, 303, 306, 318, 327, 334, 403, 445, 592, 594, 988, 1028)
aa_arpeg_ca  = c(847, 853, 854, 952, 954, 955, 956, 959, 960)
aa_arpeg_cdl = c(456, 457, 460, 461, 521, 525, 533, 537, 554, 558, 568
                 , 569, 572, 573, 575, 576, 579, 580, 582, 583, 586, 601, 605, 616, 658
                 , 661, 662, 665)
aa_arpeg_dsl = c(299, 322, 329, 330, 403, 435, 438, 439, 442, 445, 446
                 , 449, 452, 455, 486, 489, 490, 493, 506, 509, 510, 513, 514
                 , 515, 587, 589, 590, 592, 595)

##############################################################
active_aa_pos = sort(unique(c(aa_ligplus_emb
                              , aa_plip_emb
                              , aa_arpeg_emb
                              
                              , aa_ligplus_ca
                              , aa_plip_ca
                              , aa_arpeg_ca
                              
                              , aa_ligplus_cdl
                              , aa_plip_cdl
                              , aa_arpeg_cdl
                              
                              , aa_ligplus_dsl
                              , aa_plip_dsl
                              , aa_arpeg_dsl)))
##############################################################
cat("\nNo. of active site residues for gene"
    , gene, ":"
    , length(active_aa_pos)
    , "\nThese are:\n"
    , active_aa_pos)

##############################################################
aa_pos_emb = sort(unique(c(  aa_ligplus_emb
                           , aa_plip_emb
                           , aa_arpeg_emb)))
aa_pos_drug = aa_pos_emb

aa_pos_emb_hbond = sort(unique(c( aa_ligplus_emb_hbond
                                , aa_plip_emb_hbond)))

aa_pos_ca = sort(unique(c(  aa_ligplus_ca
                          , aa_plip_ca
                          , aa_arpeg_ca)))

aa_pos_cdl = sort(unique(c(  aa_ligplus_cdl
                           , aa_plip_cdl
                           , aa_arpeg_cdl )))
                           
aa_pos_cdl_hbond  = sort(unique(c( aa_ligplus_cdl_hbond )))                           

aa_pos_dsl = sort(unique(c(  aa_ligplus_dsl
                           , aa_plip_dsl
                           , aa_arpeg_dsl)))

aa_pos_dsl_hbond  = sort(unique(c( aa_ligplus_dsl_hbond
                           , aa_plip_dsl_hbond)))
                           

cat("\n==================================================="
    , "\nActive site residues for", gene, "comprise of..."
    , "\n==================================================="
    , "\nNo. of", drug, "binding residues:"      , length(aa_pos_emb), "\n"
    , aa_pos_emb
    , "\nNo. of co-factor 'Ca' binding residues:", length(aa_pos_ca) , "\n"
    , aa_pos_ca
    , "\nNo. of ligand 'CDL' binding residues:"  , length(aa_pos_cdl), "\n"
    , aa_pos_cdl
    , "\nNo. of ligand 'DSL' binding residues:"  , length(aa_pos_dsl), "\n"
    , aa_pos_dsl, "\n"
)
##############################################################
# var for position customisation for plots
aa_pos_lig1 = aa_pos_ca        
aa_pos_lig2 = aa_pos_cdl       
aa_pos_lig3 = aa_pos_dsl