gene = "gid"
drug = "streptomycin"

#rna_site = G518
#rna_bind_aa_pos = c(96, 97, 118, 163)
#binding_aa_pos = c(48, 51, 137, 200)

# SAM: 226
# SRY: 1601
#==========
# LIGPLUS
#===========
aa_ligplus_sry = c(118, 220, 223) # 526 (rna) and 7mg527
aa_ligplus_sry_hbond = c(118, 220, 223) 

aa_ligplus_sam = c(148, 137, 138, 139
                   , 93, 69, 119, 120
                   , 220, 219, 118, 223)
aa_ligplus_sam_hbond =  c(220, 223)            
                   
aa_ligplus_amp = c(123, 125, 213, 214)
aa_ligplus_amp_hbond = c(125, 123, 213)

aa_ligplus_rna = c(137, 47, 48, 38, 35, 36, 37, 94, 33, 97, 139, 138, 163, 165, 164, 199)
aa_ligplus_rna_hbond = c(33, 97, 37, 47, 137)

#==========
# PLIP
#===========
aa_plip_sry = c(118, 220, 223)
aa_plip_sry_hbond = c(118, 220, 223)

aa_plip_sam = c(92, 118, 119, 120, 139, 220, 223, 148)
aa_plip_sam_hbond = c(92, 118, 119, 120, 139, 220, 223)

aa_plip_amp = c(123, 125, 213)
aa_plip_amp_hbond = c(123, 125, 213)

aa_plip_rna = c(33, 34, 36, 37, 47, 48, 51, 97, 137, 199)
aa_plip_rna_hbond = c(33, 34, 36, 37, 47, 51, 137, 199)

#==========
# Arpeggio
#===========
aa_arpeg_sry = c(118, 148, 220, 223, 224)
aa_arpeg_sam = c(68, 69, 92, 93, 97, 117
                 , 118, 119, 120, 136, 137
                 , 138, 139, 140, 148, 218
                 , 219, 220, 221, 222, 223)
aa_arpeg_amp = c(123, 125, 213)
##############################################################
#=============
# Active site
#=============
active_aa_pos = sort(unique(c(
#rna_bind_aa_pos
#, binding_aa_pos
aa_ligplus_sry
, aa_ligplus_sam
, aa_ligplus_amp
, aa_ligplus_rna
, aa_plip_sry
, aa_plip_sam
, aa_plip_amp
, aa_plip_rna
, aa_arpeg_sry
, aa_arpeg_sam
, aa_arpeg_amp
)))

##############################################################
cat("\nNo. of active site residues for gene"
    , gene, ":"
    , length(active_aa_pos)
    , "\nThese are:\n"
    , active_aa_pos)

##############################################################
aa_pos_sry = sort(unique(c(
                aa_ligplus_sry
              , aa_plip_sry
              , aa_arpeg_sry)))

aa_pos_drug = aa_pos_sry

aa_pos_sry_hbond = sort(unique(c(
                aa_ligplus_sry_hbond
              , aa_plip_sry_hbond)))              


aa_pos_rna = sort(unique(c(
                aa_ligplus_rna
              , aa_plip_rna)))

aa_pos_rna_hbond = sort(unique(c(
                aa_ligplus_rna_hbond
              , aa_plip_rna_hbond)))              

aa_pos_sam = sort(unique(c(
                aa_ligplus_sam
              , aa_plip_sam
              , aa_arpeg_sam)))

aa_pos_sam_hbond = sort(unique(c(
                aa_ligplus_sam_hbond
              , aa_plip_sam_hbond)))

aa_pos_amp = sort(unique(c(
                aa_ligplus_amp
              , aa_plip_amp
              , aa_arpeg_amp)))

aa_pos_amp_hbond = sort(unique(c(
                aa_ligplus_amp_hbond
              , aa_plip_amp_hbond)))


cat("\n==================================================="
    , "\nActive site residues for", gene, "comprise of..."
    , "\n==================================================="
    , "\nNo. of", drug, "binding residues:"    , length(aa_pos_sry), "\n"
    , aa_pos_sry
    , "\nNo. of RNA binding residues:"         , length(aa_pos_rna), "\n"
    , aa_pos_rna
    , "\nNo. of ligand 'SAM' binding residues:", length(aa_pos_sam), "\n"
    , aa_pos_sam
    , "\nNo. of ligand 'AMP' binding residues:", length(aa_pos_amp), "\n"
    , aa_pos_amp, "\n")

##############################################################
# var for position customisation for plots
aa_pos_lig1 = aa_pos_rna
aa_pos_lig2 = aa_pos_sam       
aa_pos_lig3 = aa_pos_amp 